clear();

Kkrit = 2.25;       
Tkrit = 3.93;

K  =  0.6*Kkrit;
TN =  0.5*Tkrit;
TV =  0.12*Tkrit;

P = K;
I = K/TN;
D = K*TV;


s = poly(0,"s");

G = syslin('c',[P*s+I+D*s*s],[s*s*s+s*s+s]);

H = G/(1+G);

//Pole und Nullstellen der Strecke:
plzr(H)

//Umwandlung in Zustandsform, dann Eigenwerte bestimmen:
strecke=tf2ss(H)
clean(ss2tf(strecke))
Astrecke = strecke(2)//A-Matrix auslesen
ewStrecke = spec(Astrecke)
disp("Eigenwerte der Regelstrecke:")
disp(ewStrecke) //aus einem Skript heraus gezielt anzeigen