clear();

Tu = 0.334;       
Ta = 1.91;
Ks = 1.0;

K  =  1.2*Ta/(Tu*Ks);
TN =  2.0*Tu;
TV =  0.5*Tu;

P = K;
I = K/TN;
D = K*TV;

s = poly(0,"s");

G = syslin('c',[P*s+I+D*s*s],[s*s*s+s*s+s]);

H = G/(1+G);

//Pole und Nullstellen der Strecke:
plzr(H)

//Umwandlung in Zustandsform, dann Eigenwerte bestimmen:
strecke=tf2ss(H)
clean(ss2tf(strecke))
Astrecke = strecke(2)//A-Matrix auslesen
ewStrecke = spec(Astrecke)
disp("Eigenwerte der Regelstrecke:")
disp(ewStrecke) //aus einem Skript heraus gezielt anzeigen